%define oname MPlayer

%define svn %{nil}
%if "%{svn}" != ""
%define fversion %{svn}
%define rel 1.%{svn}.1
%else
%define fversion %{version}
%define rel 4
%endif

%define build_debug	0
%define build_mencoder	1
%define build_gui	1
%define build_system_ffmpeg	1

%define kernel_version	%(/bin/bash %{SOURCE5})
%define kver		%(/bin/bash %{SOURCE5} | sed -e 's/-/./')
%define kvername	%(/bin/bash %{SOURCE5} | sed -e 's/-/./' | sed -e 's/mdk//')

%define build_yasm	1
%define build_live	1
%define build_vesa	0
%define build_theora	1
%define build_lirc	1
%define build_amr	0
%define build_aa	1
%define build_cdda	1
%define build_compiz	0
%define build_dirac	1
%define build_dv	1
%define build_sdl	1
%define build_lzo	1
%define build_smb	1
%define build_mga	1
%define build_fbdev	1
%define build_dvb	1
%define build_fribidi	1
%define build_enca	1
%define build_alsa	1
%define build_jack	1
%define build_openal	0
%define build_pulse	1
%define build_schroedinger	1
%define build_twolame	0
%define build_lame	0
%define build_faac	0
%define build_faad	0
%define build_x264	0
%define build_xvid	0
%define build_dts	0
%define build_directfb	1
%define build_v4l2	1
%define build_xvmc	1
%define build_vdpau	1
%define build_ivtv	0
%define build_libass	1
%define build_vpx	1
%define build_rtmp	1

%ifnarch %{ix86}
%define build_vesa	0
%endif

#####################
# Hardcode PLF build
%define build_plf 0
#####################

%if %{build_plf}
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%define build_amr	1
%define build_twolame	1
%define build_lame	1
%define build_faac	1
%define build_faad	1
%define build_x264	1
%define build_xvid	1
%define build_dts	1
%define build_yasm	1
%define build_dirac	1
%define build_schroedinger	1
%endif

%if %{build_system_ffmpeg} && ! %{build_plf}
%define build_amr 0
%define build_dirac 0
%define build_schroedinger 0
%define build_vpx 0
%define build_zr 0
%endif

%ifnarch %{arm} %{mips} aarch64
%bcond_without cpudetection
%endif

Summary:	Movie player for linux
Name:		mplayer
Version:	1.3.0
Release:	%{rel}%{?extrarelsuffix}
License:	GPLv2+
Group:		Video
Url:		http://www.mplayerhq.hu
%if "%{svn}" != ""
#gw generated using svn export
Source0:	%{name}-%{svn}.tar.xz
%else
Source0:	ftp://ftp1.mplayerhq.hu/MPlayer/releases/%{oname}-%{fversion}.tar.xz
%endif
#gw default skin
Source4:	Blue-1.10.tar.bz2
Source5:	kernel-version.sh
Patch0:		mplayer-mdvconfig.patch
Patch1:		mplayer-1.2-configure-dvdread-ldflags.patch
Patch2:		mplayer-1.1.1-samba4.patch
# fixes for crashes found while fixing CVE-2008-1558
Patch28:	mplayer-rtsp-extra-fixes.patch
#gw fix crash:	https://qa.mandriva.com/show_bug.cgi?id=55443
Patch35:	mplayer-fix-dvd-crash.patch
Patch39:	mplayer-1.2-dlopen-libfaac-libfaad-and-libx264.patch
Patch40:	mplayer-1.3-local-copy-of-internal-ffmpeg-type-definition.patch
Patch42:	mplayer-filters-hack-with-shared.patch
#fix png screenshot saving
Patch43:	mplayer-vf-screenshot-avcodec_open2-fix.patch

BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd45-xml
BuildRequires:	xsltproc
BuildRequires:	bzip2-devel
BuildRequires:	giflib-devel
BuildRequires:	gsm-devel
BuildRequires:	jpeg-devel
BuildRequires:	ladspa-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	mng-devel
BuildRequires:	nas-devel
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libbs2b)
BuildRequires:	pkgconfig(libmpeg2)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libopenjpeg1)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(xxf86dga)
BuildRequires:	pkgconfig(xscrnsaver)
%if %{build_aa}
BuildRequires:	aalib-devel
%endif
BuildRequires:	a52dec-devel
%if %{build_amr}
BuildRequires:	pkgconfig(opencore-amrnb)
BuildRequires:	pkgconfig(opencore-amrwb)
%endif
%if %{build_jack}
BuildRequires:	pkgconfig(jack)
%endif
%if %{build_pulse}
BuildRequires:	pkgconfig(libpulse)
%endif
%if %{build_openal}
BuildRequires:	pkgconfig(openal)
%endif
%if %{build_cdda}
BuildRequires:	cdda-devel
BuildRequires:	pkgconfig(libcdio_cdda)
%endif
%if %{build_dirac}
BuildRequires:	pkgconfig(dirac)  >= 0.9.0
%endif
%if %{build_schroedinger}
BuildRequires:	pkgconfig(schroedinger-1.0)
%endif
%if %{build_dv}
BuildRequires:	pkgconfig(libdv)
%endif
%if %{build_lirc}
BuildRequires:	pkgconfig(liblircclient0)
%endif
%if %{build_lzo}
BuildRequires:	liblzo-devel
%endif
%if %{build_sdl}
BuildRequires:	pkgconfig(sdl) >= 1.1.8
%endif
%if %{build_smb}
BuildRequires:	pkgconfig(smbclient)
%endif
%if %{build_twolame}
BuildRequires:	pkgconfig(twolame)
%endif
%if %{build_faac}
BuildRequires:	libfaac-devel
%endif
%if %{build_faad}
BuildRequires:	libfaad2-devel
%endif
%if %{build_x264}
BuildRequires:	pkgconfig(x264)
%endif
%if %{build_xvid}
BuildRequires:	xvid-devel
%endif
%if %{build_dts}
BuildRequires:	pkgconfig(libdts)
%endif
%if %{build_lame}
BuildRequires:	lame-devel
%endif
%if %{build_live}
BuildRequires:	live-devel
%endif
%if %{build_vesa}
BuildRequires:	libvbe-devel
BuildRequires:	liblrmi-devel
%endif
%if %{build_theora}
BuildRequires:	pkgconfig(theora)
%endif
%if %{build_fribidi}
BuildRequires:	pkgconfig(fribidi) >= 0.10.4
%endif
%if %{build_enca}
BuildRequires:	pkgconfig(enca)
%endif
%if %{build_directfb}
BuildRequires:	pkgconfig(directfb)
%endif
%if %{build_xvmc}
BuildRequires:	pkgconfig(xvmc)
%endif
%if %{build_vdpau}
BuildRequires:	pkgconfig(vdpau)
%endif
%if %{build_libass}
BuildRequires:	pkgconfig(libass)
%endif
%if %{build_vpx}
BuildRequires:	pkgconfig(vpx)
%endif
%if %{build_rtmp}
BuildRequires:	pkgconfig(librtmp)
%endif
%if %{build_yasm}
BuildRequires:	yasm
%endif
%if %{build_system_ffmpeg}
BuildRequires:	ffmpeg-devel
%endif

%if "%{_lib}" == "lib64"
%global	_ext	()(64bit)
%else
%global	_ext	%{nil}
%endif

# With plf build they are auto-required
%if ! %{build_plf}
Suggests:	libfaac.so.0%{_ext}
Suggests:	libfaad.so.2%{_ext}
Suggests:	libx264.so.148%{_ext}
Suggests:	libopencore-amrnb.so.0%{_ext}
Suggests:	libopencore-amrwb.so.0%{_ext}
Suggests:	libtwolame.so.0%{_ext}
Suggests:	libdca.so.0%{_ext}
Suggests:	libdvdcss.so.2%{_ext}
%endif

%description
MPlayer is a movie player for LINUX (runs on many other Unices, and
non-x86 CPUs, see the documentation). It plays most MPEG, VOB, AVI,
VIVO, ASF/WMV, QT/MOV, FLI, NuppelVideo, yuv4mpeg, FILM, RoQ, and some
RealMedia files, supported by many native, XAnim, and Win32 DLL codecs.
You can watch VideoCD, SVCD, DVD, 3ivx, FLI, and even DivX movies too
(and you don't need the avifile library at all!). The another big
feature of mplayer is the wide range of supported output drivers. It
works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, but you can use
SDL (and this way all drivers of SDL), VESA (on every VESA compatible
card, even without X!), and some lowlevel card-specific drivers (for
Matrox, 3Dfx and Radeon) too! Most of them supports software or hardware
scaling, so you can enjoy movies in fullscreen. MPlayer supports
displaying through some hardware MPEG decoder boards, such as the DVB
and DXR3/Hollywood+! And what about the nice big antialiased shaded
subtitles (9 supported types!!!) with european/ISO 8859-1,2 (hungarian,
english, czech, etc), cyrillic, korean fonts, and OSD?

Note: If you want to play Real content, you need to have the content
of RealPlayer's Codecs directory in %{_libdir}/codecs/

%if %{build_plf}
This package is in restricted because some included codecs are covered 
by patents. It also includes support for reading DVDs encrypted with 
CSS which might be illegal in some countries.

For non-free binary codecs support you should install the packages
win32-codecs, real-codecs and xanim-codecs.
%endif

%files -f mplayer.lang
%doc AUTHORS Changelog README Copyright
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/mplayer.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/menu.conf
%{_bindir}/midentify
%{_bindir}/mplayer
%{_mandir}/man1/mplayer.1*
%dir %{_datadir}/%{name}

#----------------------------------------------------------------------------

%package doc
Summary:	%{oname} documentation
Group:		Books/Computer books
BuildArch:	noarch

%description doc
This package contains documentation for %{oname}.

%files doc
%doc README.DOCS
%doc DOCS/default.css DOCS/xml DOCS/tech/

#----------------------------------------------------------------------------

%if %{build_gui}
%package gui
Summary:	GUI for %{name}
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	imagemagick
Requires:	soundwrapper

%description gui
This package contains a GUI for %{name}.

%files gui
%{_bindir}/gmplayer
%{_datadir}/applications/mplayer.desktop
%{_datadir}/%{name}/skins
%{_iconsdir}/mplayer.png
%{_miconsdir}/mplayer.png
%{_liconsdir}/mplayer.png

%pre gui
if [ -d %{_datadir}/%{name}/skins/default ]
  then rm -rf %{_datadir}/%{name}/skins/default
fi
%endif

#----------------------------------------------------------------------------

%if %{build_mencoder}
%package -n mencoder
Summary:	MPlayer's movie encoder
Group:		Video
Requires:	%{name}

%description -n mencoder
MEncoder a movie encoder and is a part of the MPlayer package.
%if ! %{build_plf}
Note: this version does not have support for encoding mp3 audio streams in the
video files.
%else
This restricted build has additional support for AAC decoding with libfaad
and MP3 encoding with lame, both are covered by software patents. It
also includes support for reading DVDs encrypted with CSS which might
be illegal in some countries.
%endif

%files -n mencoder -f mencoder.lang
%{_bindir}/mencoder
%{_bindir}/divx2svcd
%{_bindir}/mencvcd
%{_bindir}/wma2ogg.pl
%{_mandir}/man1/mencoder.1*
%endif

#----------------------------------------------------------------------------

%prep
%if "%{svn}" != ""
%setup -q -n %{name} -a 4
%else
%setup -q -n MPlayer-%{version} -a 4
%endif
#gw as we have have used svn export:
echo %{svn}|sed s/^r// > snapshot_version
find DOCS -name .svn|xargs rm -rf
#gw fix permissions
chmod 644 AUTHORS Changelog README Copyright
rm -f Blue/README
%patch0 -p1 -b .mdv~
%patch1 -p1 -b .dvdread~
%patch2 -p1 -b .samba4~
%patch28 -p1 -b .rtsp-extra-fixes
%patch35 -p0
%if ! %{build_plf}
%patch39 -p1 -b .dlopen~
%endif
rm -rf ffmpeg
%patch40 -p1 -b .ffmpeg~
%patch42 -p1 -b .internal_filters~
%patch43 -p0 -b .png~

# Sometimes (1.1.1) mplayer guys forget to update the VERSION file...
# Let's fix it here, but let's not abuse this ;)
echo %{version} >VERSION

perl -pi -e 's^r\$svn_revision^%{release}^' version.sh

mv DOCS/README README.DOCS

%build
export CFLAGS="$CFLAGS %{optflags}"
%if %{build_debug}
export CFLAGS="$CFLAGS -g"
%endif
%ifarch ppc
export CFLAGS="$CFLAGS -mcpu=7450 -maltivec"
%endif
%if %{build_directfb}
export CPPFLAGS="-I%{_includedir}/directfb"
%endif
export LDFLAGS="%{?ldflags}"
./configure \
	--prefix=%{_prefix} \
	--datadir=%{_datadir}/%{name} \
	--confdir=%{_sysconfdir}/%{name} \
	--libdir=%{_libdir} \
	--codecsdir=%{_libdir}/codecs \
	--language=all \
%ifarch %{ix86}
	--enable-mmx \
	--enable-3dnow \
	--enable-sse \
	--enable-sse2 \
	--enable-fastmemcpy \
%endif
%if %{with cpudetection}
	--enable-runtime-cpudetection \
%endif
%if %{build_debug}
	--enable-debug=3 \
%else
	--disable-sighandler \
%endif
%if %{build_gui}
	--enable-gui \
%endif
%if %{build_mencoder}
	--enable-mencoder \
%else
	--disable-mencoder \
%endif
	--disable-arts \
	--disable-ggi \
	--enable-dvdnav \
	--enable-dvdread \
	--enable-libmpeg2 \
	--enable-libmpeg2-internal \
	--enable-tv \
	--enable-joystick \
	--enable-gl \
	--disable-svga \
	--enable-menu \
	--disable-zr \
%if ! %{build_dts}
	--disable-libdca \
	--enable-libdca-dlopen \
%endif
	--enable-freetype \
	--enable-nas \
%if %{build_system_ffmpeg}
	--disable-ffmpeg_a \
%endif
%if ! %{build_faad}
	--disable-faad \
	--disable-decoder=AAC \
	--enable-faad-dlopen \
%endif
%if ! %{build_faac}
	--enable-faac-dlopen \
%endif
%if ! %{build_twolame}
	--disable-twolame \
	--enable-twolame-dlopen \
%endif
%if ! %{build_x264}
	--enable-x264-dlopen \
%endif
%if %{build_lirc}
	--enable-lirc \
%else
	--disable-lirc \
%endif
%if ! %{build_v4l2}
	--disable-tv-v4l2 \
%endif
%if ! %{build_mga}
	--disable-mga \
%endif
%if ! %{build_fbdev}
	--disable-fbdev \
%endif
%if %{build_directfb}
	--enable-directfb \
%else
	--disable-directfb \
%endif
%if ! %{build_live}
	--disable-live \
%endif
%if ! %{build_vesa}
	--disable-vesa \
%endif
%if %{build_theora}
	--enable-theora \
%else
	--disable-theora \
%endif
%if %{build_smb}
	--enable-smb \
%endif
%if ! %{build_dvb}
	--disable-dvb \
	--disable-dvbhead \
%endif
%if ! %{build_jack}
	--disable-jack \
%endif
%if ! %{build_aa}
	--disable-aa \
%endif
%if ! %{build_cdda}
	--disable-cdparanoia \
%endif
%if ! %{build_dv}
	--disable-libdv \
%endif
%if ! %{build_lzo}
	--disable-liblzo \
%endif
%if ! %{build_sdl}
	--disable-sdl \
%endif
%if ! %{build_alsa}
	--disable-alsa \
%endif
%if ! %{build_fribidi}
	--disable-fribidi \
%endif
%if ! %{build_enca}
	--disable-enca \
%endif
%if %{build_pulse}
	--enable-pulse \
%endif
%if ! %{build_openal}
	--disable-openal \
%endif
%if %{build_xvmc}
	--enable-xvmc \
%endif
%if ! %{build_ivtv}
	--disable-ivtv \
%endif
%if ! %{build_vdpau}
	--disable-vdpau \
%endif
%if ! %{build_amr}
	--disable-libopencore_amrnb \
	--disable-libopencore_amrwb \
	--enable-libopencore_amrnb-dlopen \
	--enable-libopencore_amrwb-dlopen
%endif

# Keep this line before empty end %%configure (ppc conditionnal pb)
make
#gw make sure we have our version string included:
fgrep %{version} version.h

%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -m755 mplayer -D %{buildroot}%{_bindir}/mplayer
for lang in de fr hu pl es it zh_CN en; do
    install -m644 DOCS/man/$lang/mplayer.1 -D %{buildroot}%{_mandir}/$([ "$lang" != "en" ] && echo $lang)/man1/mplayer.1
done

%find_lang mplayer --with-man

######################### Mencoder #########################
%if %{build_mencoder}
install -m755 mencoder -D %{buildroot}%{_bindir}/mencoder

for lang in de fr hu pl es it zh_CN en; do
    ln -s mplayer.1 %{buildroot}%{_mandir}/$([ "$lang" != "en" ] && echo $lang)/man1/mencoder.1
done

%find_lang mencoder --with-man

install -m 755 TOOLS/mencvcd.sh %{buildroot}%{_bindir}/mencvcd
install -m 755 TOOLS/divx2svcd.sh %{buildroot}%{_bindir}/divx2svcd
install -m 755 TOOLS/wma2ogg.pl %{buildroot}%{_bindir}/wma2ogg.pl
install -m 755 TOOLS/midentify.sh %{buildroot}%{_bindir}/midentify
%endif
######################### /Mencoder #########################

install -m 644 etc/example.conf %{buildroot}%{_sysconfdir}/%{name}/mplayer.conf
install -m 644 etc/menu.conf %{buildroot}%{_sysconfdir}/%{name}

%if %{build_gui}
# default Skin
install -d -m 755 %{buildroot}%{_datadir}/%{name}/skins/
cp -r Blue %{buildroot}%{_datadir}/%{name}/skins/
ln -s Blue %{buildroot}%{_datadir}/%{name}/skins/default
# gmplayer equals mplayer -gui
ln -s mplayer %{buildroot}%{_bindir}/gmplayer
# icons
mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
convert -transparent white Blue/icons/icon48x48.png %{buildroot}%{_liconsdir}/mplayer.png 
convert -transparent white Blue/icons/icon32x32.png %{buildroot}%{_iconsdir}/mplayer.png 
convert -transparent white -scale 16x16 Blue/icons/icon48x48.png %{buildroot}%{_miconsdir}/mplayer.png
install -D -m 644 etc/mplayer.desktop %{buildroot}%{_datadir}/applications/mplayer.desktop
perl -pi -e 's@mplayer$@mplayer@g' %{buildroot}%{_datadir}/applications/mplayer.desktop
%endif

%if %{build_debug}
export DONT_STRIP=1
%endif


%changelog

* Mon Jan 15 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.0-4
- (a601f05) Fix png screenshot saving

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.0-3
- (d21e085) Use libx264.so.148

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.0-2
- (48ba646) Bump x264 library major

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.0-1
- (a7f8ced) New version 1.3.0
- (a7f8ced) Build with ffmpeg 3.2 headers

* Mon Jan 25 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.1-1
- (ed0fe07) New version 1.2.1

* Wed Nov 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2-1
- (5608fff) Update patch with ffmpeg headers (more work)
- (Andrey Bondrov: 104c85f) Update patch with ffmpeg headers
- (Andrey Bondrov: 7f8f771) New stable version 1.2
- (Andrey Bondrov: 7f8f771) Adjust for ffmpeg 2.8

* Tue May 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r37337.5
- (85cdb31) Bump release

* Tue Mar 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r37337.4
- (ff7f573) Use internal libmpeg2 instead (adjust build options)

* Tue Mar 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r37337.3
- (5357fcb) Use internal libmpeg2 instead

* Tue Mar 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r37337.2
- (6546d2f) Update BuildRequires for libmpeg2 support

* Thu Feb 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r37337.1
- (46c27c7) Fix dlopen patch
- (Andrey Bondrov: 262ec61) Update BuildRequires (add libdvdnav)
- (Andrey Bondrov: 34232b1) New snapshot 37337, re-diff patches

* Thu Feb 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.12
- (07736ad) Drop libdxr3-devel from BuildRequires (even for older distro releases)
- (Andrey Bondrov: f82d493) Disable vesa

* Mon Sep 22 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.11
- (1190d3d) Build with smb protocol support

* Mon Jul 21 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.10
- (8ab80fb) Drop DXR3 support for rosa2014.1+

* Thu Jul 03 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.9
- (9e1802a) Update BuildRequires to handle libcdio_paranoia split from libcdio

* Thu Jun 19 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.8
- (9dc5d18) Adjust dlopen patch for x264 0.142, rebuild

* Wed Jun 18 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.7
- (a9c0ebb) Bump release

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.6
- (4000789) Bump release

* Thu May 29 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.5
- (cd9251f) Bump release

* Thu May 29 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.4
- (1802da3) Add patch to fix build with giflib 5.1
- (Andrey Bondrov: 617a6dd) LOG Rebuild with ffmpeg 2.1

* Wed Aug 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.3
- (8a5a49e) LOG Update default config to fix issues with DVD playback

* Wed Aug 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.2
- (8c84aab) LOG Bump release

* Tue Aug 06 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36361.1
- (5593c29) LOG New SVN snapshot 36361, update patchset

* Fri Aug 02 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2
- (d8cb105) LOG New version 1.1.1, spec cleanup (sync with Cooker)


